:: Performance Monitor Query 
::   Created by BSOD2600
::   Ver: 1.0
::
:: Simple script to query a single performance counter with out the hassle of big scripts
:: Only works on Windows platforms as it uses "typeperf"
::
:: Read more about typeperf
:: http://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/nt_command_typeperf.mspx
:: http://blogs.technet.com/askperf/archive/2009/05/12/two-minute-drill-typeperf.aspx

@echo off
set COMP=%1
set QUERY=%2

:: Check for missing paramaters
IF [%1]==[] (ECHO Computer name missing! && GOTO:EOF)
IF [%2]==[] (ECHO Query missing! && GOTO:EOF)

:: Remove quotes from the query
SET QUERY=###%QUERY%###
SET QUERY=%QUERY:"###=%
SET QUERY=%QUERY:###"=%
SET QUERY=%QUERY:###=%

:: debug testing stuff...
::echo QUERY:%QUERY%
::typeperf "%QUERY%" -sc 1 -s %COMP%

:: Skip to the 2nd line which contains the single data output. Parse off the quotes and save it
for /f "skip=1 tokens=3 delims=, " %%i in ('typeperf "%QUERY%" -sc 1 -s %COMP% ^| find ","') do (set RESULT=%%~i)

::SUCCESS
echo.RESULT:%RESULT%
GOTO:EOF
